Skip to main content

Query User Universal Transfer History

Request

get /api/v3/capital/transfer

Response

[
{
"rows":[
{
"tranId":"11945860693",
"clientTranId":"test",
"asset":"BTC",
"amount":"0.1",
"fromAccountType":"SPOT",
"toAccountType":"FUTURE",
"fromSymbol":"SPOT",
"toSymbol":"FUTURE",
"status":"SUCCESS",
"timestamp":1544433325000
},
{
"tranId":"11945860693",
"clientTranId":"test",
"asset":"BTC",
"amount":"0.1",
"fromAccountType":"SPOT",
"toAccountType":"FUTURE",
"fromSymbol":"SPOT",
"toSymbol":"FUTURE",
"status":"SUCCESS",
"timestamp":1544433325000
}],
"total": 2,
}
]
  • GET /api/v3/capital/transfer

Permission: SPOT_TRANSFER_READ

Weight(IP): 1

Parameters:

NameTypeMandatoryDescription
fromAccountTypestringYESfromAccountType:"SPOT","FUTURES"
toAccountTypestringYEStoAccountType:"SPOT","FUTURES"
startTimestringNOStart time, Unix millisecond timestamp
endTimestringNOEnd time, Unix millisecond timestamp
pagestringNOdefault:1
sizestringNOdefault:10, max:100
timestampstringYEStimestamp
signaturestringYESsignature
  1. Only can query the data for the last six months
  2. If 'startTime' and 'endTime' are not sent, will return the last seven days' data by default

Response:

NameDescription
totaltotal
tranIdtranId
clientTranIdclient ID
assetcoin
amountamount
fromAccountTypefromAccountType
toAccountTypetoAccountType
symbolsymbol
statusstatus
timestamptimestamp